@mixin container {
    margin: 0 auto;
}

@mixin font-awesome($unicode){
    content: $unicode;
    font-family: "Font Awesome 5 Free";
    font-weight:900;
}

@mixin align-center-y{
    position: absolute;
    top:50%; 
    transform:translateY(-50%);
}


@mixin align-center-x{ 
    position: absolute;
    left:50%; 
    transform:translateX(-50%);
}

@mixin align-center{
    position: absolute;
    top:50%; 
    left:50%;
    transform:translate(-50%,-50%);
}

// A map of breakpoints.
//https://glennmccomb.com/articles/useful-sass-scss-media-query-mixins-for-bootstrap/
$breakpoints: (
    xs: 450px,
    sm: 600px,
    md: 768px,
    lg: 1024px,
    xl: 1170px,
);

@mixin media($breakpoint) {
    @if map-has-key($breakpoints, $breakpoint) {
        $px: map-get($breakpoints, $breakpoint);
        @media (max-width: ($px - 1)) {
            @content;
        }
    } @else {
        @warn 'Invalid breakpoint: #{$breakpoint}';
    }
}

@mixin richs-gradient {
    @apply bg-richsred; /* old browsers */
    background: linear-gradient(to right, #f68b1f 0%,#e02125 32%, #8b0027 101%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f68b1f', endColorstr='#8b0027',GradientType=1 ); /* IE6-9 */
}


@mixin richs-gradient-45 {
    @apply bg-richsred; /* old browsers */
    background: linear-gradient(135deg, #f68b1f 0%,#e02125 32%, #8b0027 101%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f68b1f', endColorstr='#8b0027',GradientType=1 ); /* IE6-9 */
}

@mixin box-shadow {
    box-shadow: 3px 4px 12px rgba(0,0,0,.25);
}

@mixin hover-shadow {
    transition: box-shadow 0.2s ease-in-out;

    &:hover {
        @include box-shadow();
    }
}

// Vendor prefixes
$sass-burger-add-vendor-prefixes: true !default;

// Burger
@mixin burger($width: 24px, $height: 3px, $gutter: 3px, $color: #fff, $border-radius: 0, $transition-duration: .3s) {
    $burger-height: $height !global;
    $burger-gutter: $gutter !global;

    position: relative;
    margin-top: $height + $gutter;
    margin-bottom: $height + $gutter;

    @if $sass-burger-add-vendor-prefixes {
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
    }
    user-select: none;

    &, &::before, &::after {
        display: block;
        width: $width;
        height: $height;
        background-color: $color;
        @if $border-radius != 0 {
            border-radius: $border-radius;
        }

        @if $sass-burger-add-vendor-prefixes {
            -webkit-transition-property: background-color, -webkit-transform;
            -moz-transition-property: background-color, -moz-transform;
            -o-transition-property: background-color, -o-transform;
        }
        transition-property: background-color, transform;

        @if $sass-burger-add-vendor-prefixes {
            -webkit-transition-duration: $transition-duration;
            -moz-transition-duration: $transition-duration;
            -o-transition-duration: $transition-duration;
        }
        transition-duration: $transition-duration;
    }

    &::before, &::after {
        position: absolute;
        content: "";
    }

    &::before {
        top: -($height + $gutter);
    }

    &::after {
        top: $height + $gutter;
    }
}


// Select parts of the burger
@mixin burger-parts {
    &, &::before, &::after {
        @content;
    }
}

@mixin burger-top {
    &::before {
        @content;
    }
}

@mixin burger-middle {
    & {
        @content;
    }
}

@mixin burger-bottom {
    &::after {
        @content;
    }
}


// Burger animations
@mixin burger-to-cross($color: auto) {
    & {
        background-color: transparent;
    }
    @if ($color != auto) {
        &::before, &::after {
            background-color: $color;
        }
    }
    &::before {
        @if $sass-burger-add-vendor-prefixes {
            -webkit-transform: translateY($burger-gutter + $burger-height) rotate(45deg);
            -moz-transform: translateY($burger-gutter + $burger-height) rotate(45deg);
            -ms-transform: translateY($burger-gutter + $burger-height) rotate(45deg);
            -o-transform: translateY($burger-gutter + $burger-height) rotate(45deg);
        }
        transform: translateY($burger-gutter + $burger-height) rotate(45deg);
    }
    &::after {
        @if $sass-burger-add-vendor-prefixes {
            -webkit-transform: translateY(-($burger-gutter + $burger-height)) rotate(-45deg);
            -moz-transform: translateY(-($burger-gutter + $burger-height)) rotate(-45deg);
            -ms-transform: translateY(-($burger-gutter + $burger-height)) rotate(-45deg);
            -o-transform: translateY(-($burger-gutter + $burger-height)) rotate(-45deg);
        }
        transform: translateY(-($burger-gutter + $burger-height)) rotate(-45deg);
    }
}